Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class AttributeAddNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--javax.management.AttributeChangeNotification
                        |
                        +--weblogic.management.internal.AttributeChangeNotification
                              |
                              +--weblogic.management.AttributeAddNotification

public final class AttributeAddNotification
extends weblogic.management.internal.AttributeChangeNotification

This notification provides support for adding a value to an attribute of an MBean when that attribute is a type array. The notification informs the consumer that a new value has been added to that collection. It provides the name of the object, the attribute, the value and the type of the entry added to the array.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.management.AttributeChangeNotification
`ATTRIBUTE_CHANGE`

Fields inherited from class javax.management.Notification
`source`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeAddNotification(javax.management.ObjectName source, java.lang.String name, java.lang.Object addedValue)` Deprecated.
`AttributeAddNotification(javax.management.ObjectName source, java.lang.String name, java.lang.String type, java.lang.Object addedValue)` Constructor for the AttributeAddNotification object

Method Summary
`java.lang.Object` | `getAddedValue()` Gets the value that was added.

Methods inherited from class weblogic.management.internal.AttributeChangeNotification
`getChangeNotificationCount, getNewValue, getOldValue, toString`

Methods inherited from class javax.management.AttributeChangeNotification
`getAttributeName, getAttributeType`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeAddNotification

    public AttributeAddNotification(javax.management.ObjectName source,
                                    java.lang.String name,
                                    java.lang.Object addedValue)

  Deprecated.
  This contructor is superseded by following constructor the constructor that accepts a type.

  Parameters:
    `source` - name of the MBean to which the attribute was added.
    `name` - the name of the attribute
    `addedValue` - the value for that attribute

### AttributeAddNotification

    public AttributeAddNotification(javax.management.ObjectName source,
                                    java.lang.String name,
                                    java.lang.String type,
                                    java.lang.Object addedValue)

  Constructor for the AttributeAddNotification object

  Parameters:
    `source` - name of the MBean to which the attribute was added.
    `name` - the name of the attribute
    `type` - the java class name of the attribute. This can be a super class of the type that is the addedValue.
    `addedValue` - the value for that attribute

Method Detail

### getAddedValue

    public java.lang.Object getAddedValue()

  Gets the value that was added.

  Returns:
    The addedValue value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD